/***************************************************************************
 *            progress.h
 *
 *  Thu Aug 25 18:26:49 2005
 *  Copyright  2005  User
 *  Email
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef __PROGRESS_H__
#define __PROGRESS_H__

void progress_start(void);
void progress_stop(void);
int progress_enter(void);
void progress_end(int);
void progress_set_progress(double prog);
void progress_set_text(const wxString & thetext, int hint = 0);

#endif // __PROGRESS_H__
