/*
	AGG test install script
	
	This is my first script... its sucks greatly, but ces't la vie
*/


!include "${NSISDIR}\Contrib\Modern UI\System.nsh"

##
# Defines
##
!define fullname "Anrieff's Gallery Generator"
!define short "AGG"
!define MS_DLL "msvcp71.dll"

##
# basic setup
##
OutFile AggSetup.exe
Name "Anrieff's Gallery Generator"
InstallDir "$PROGRAMFILES\agg"

##
# Some options
##
ShowInstDetails "nevershow"
ShowUninstDetails "nevershow"

##
# Misc STUFF
##
!define MUI_ICON "agg.ico"
!define MUI_UNICON "agg.ico"

##
# ModernUI configuration
##
!define MUI_WELCOMEPAGE  
!define MUI_LICENSEPAGE
!define MUI_DIRECTORYPAGE
!define MUI_ABORTWARNING
!define MUI_UNINSTALLER
!define MUI_UNCONFIRMPAGE
!define MUI_FINISHPAGE  

#SetOutDir $INSTDIR

	PageEx license
			LicenseData license.txt
			LicenseForceSelection checkbox
	PageExEnd
	Page directory
	Page instfiles
	UninstPage uninstConfirm
	UninstPage instfiles
	
	
########################
############
## INSTALLER
############
########################

Section "Install Section"
		SetOutPath "$INSTDIR"
		File "..\Release\agg.exe"
		File "${MS_DLL}"
#create desktop shortcut
  	CreateShortCut "$DESKTOP\${fullname}.lnk" "$INSTDIR\${short}.exe" ""
 
;create start-menu items
  	CreateDirectory "$SMPROGRAMS\${fullname}"
  	CreateShortCut "$SMPROGRAMS\${fullname}\Uninstall.lnk" "$INSTDIR\Uninstall.exe" "" "$INSTDIR\Uninstall.exe" 0
  	CreateShortCut "$SMPROGRAMS\${fullname}\${short}.lnk" "$INSTDIR\${short}.exe" "" "$INSTDIR\${short}.exe" 0
 
;write uninstall information to the registry
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${fullname}" "DisplayName" "${fullname} (remove only)"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${fullname}" "UninstallString" "$INSTDIR\Uninstall.exe"
  
;associate .agg files with the Program
!define Index "Line${__LINE__}"
  WriteRegStr HKCR ".agg" "" "AGG.agg"
  ReadRegStr $0 HKCR "AGG.agg" ""
  StrCmp $0 "" 0 "${Index}-Skip"
	WriteRegStr HKCR "AGG.agg" "" "Anrieff's Gallery Generator Projects"
	WriteRegStr HKCR "AGG.agg\shell" "" "open"
	WriteRegStr HKCR "AGG.agg\DefaultIcon" "" "$INSTDIR\agg.exe,0"
"${Index}-Skip:"
  WriteRegStr HKCR "AGG.agg\shell\open\command" "" \
    '$INSTDIR\agg.exe "%1"'
 
  System::Call 'Shell32::SHChangeNotify(i 0x8000000, i 0, i 0, i 0)'
!undef Index

 
  WriteUninstaller "$INSTDIR\Uninstall.exe"

SectionEnd


########################
############
## Un.INSTALLER
############
########################

Section "Uninstall"
;Delete Files 
  RMDir /r "$INSTDIR\*.*"    
 
;Remove the installation directory
  RMDir "$INSTDIR"
  
;Delete Start Menu Shortcuts
  Delete "$DESKTOP\${fullname}.lnk"
  Delete "$SMPROGRAMS\${fullname}\*.*"
  RmDir  "$SMPROGRAMS\${fullname}"
  
;Delete Uninstaller And Unistall Registry Entries
  DeleteRegKey HKEY_LOCAL_MACHINE "SOFTWARE\${short}"
  DeleteRegKey HKEY_LOCAL_MACHINE "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\${fullname}"  

;Restore the AGG file associations (if there were any?)
!define Index "Line${__LINE__}"
    DeleteRegKey HKCR ".agg"
    DeleteRegKey HKCR "AGG.agg" ;Delete key with association settings
 
    System::Call 'Shell32::SHChangeNotify(i 0x8000000, i 0, i 0, i 0)'
"${Index}-NoOwn:"
!undef Index


SectionEnd
