/***************************************************************************
 *            bmphandlingdialog.h
 *
 *  Tue Mar 28 01:52:11 2006
 *  Copyright  2006  User
 *  Email
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _BMPHANDLINGDIALOG_H
#define _BMPHANDLINGDIALOG_H

#include <wx/wx.h>
#include "project.h"

class BmpHandlingDialog: public wxDialog {
public:
	BmpHandlingDialog(BmpHandlingType*);
private:
	
	void OnIgnoreClick(wxCommandEvent & event);
	void OnToJPEGClick(wxCommandEvent & event);
	void OnToBMPClick(wxCommandEvent & event);

	BmpHandlingType *res;
	wxButton *button_Ignore, *button_ToJPEG, *button_ToBMP;
	DECLARE_EVENT_TABLE()
};

enum {
	BMPH_Ignore,
	BMPH_ToJPEG,
	BMPH_ToBMP
};


#endif /* _BMPHANDLINGDIALOG_H */
